Projet

Général

Profil

Bug #4956

Publication de data : dépendances de libexiv2.so et plantage

Ajouté par Francois Audirac il y a 7 mois. Mis à jour il y a 3 mois.

Statut:
New - Nouveau
Priorité:
Normale
Assigné à:
-
Catégorie:
-
Version cible:
Début:
17/11/2016
Echéance:
% réalisé:

0%


Description

Lors de l'installation de :
abuledu-data_1.5.5~ryxeo5~revno171~trusty1_amd64.deb
sur Ubuntu 16.04, les dépendances requises sont :
libexiv2.so.12

Pourtant, par défaut la lib libexiv2.so.14 est installée
L'ajout d'un lien symbolique de libexiv2.so.14 vers libexiv2.so.12
permet de lancer data.
Mais au moment de la publication, data crashe avec l'erreur suivante :


[D] 2016-11-17T22:55:55.424 mainwindow.cpp
236 MainWindow::on_btnPush_clicked()
[D] 2016-11-17T22:55:55.424 mainwindow.cpp 1586 mainwindow.cpp 1586 on_btnRecompresser_clicked
[D] 2016-11-17T22:55:55.424 mainwindow.cpp
1608 On recompresse "/tmp/abuledu-data.n32081/Cabasa.jpg"
/usr/lib/abuledu-data/abuledu-data: symbol lookup error: /usr/lib/abuledu-data/abuledu-data: undefined symbol: _ZN5Exiv212ImageFactory4openERKSs
@

Historique

#1 Mis à jour par Eric Seigne il y a 3 mois

C'est normal, la lib exiv 2.14 n'est pas binairement compatible avec la 2.12 ... il faut donc utiliser une version compilée pour ubuntu 16.04 ... qui n'existe pas (encore) en .deb !

Formats disponibles : Atom PDF

Redmine Appliance - Powered by TurnKey Linux